storefronts / Page templates
GET
/api/page-template-entries/{id}Get Page Template Entry
Returns one page-template entry owned by the authenticated user.
Authentication
- Requirement
- Required
- Credential type
- session
- Scopes
- Not specified
Permissions
- Requires an authenticated storefront session.
Headers
Path Parameters
| Name | Required | Type | Details |
|---|---|---|---|
id | Yes | Not specified | Description: Identifier for the resource. |
Query Parameters
Request Body
Response Body
Example 200 response
json
{
"id": 1,
"project_id": 1,
"template_id": 1,
"title": "Example",
"slug": "example-slug",
"route": "string",
"status": "active",
"meta_title": "string",
"meta_description": "string",
"schema_json": "string",
"faq_config": {},
"values": {},
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z"
}Errors
404 page_template_entry_not_found500 page_template_entry_lookup_failedAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

